QMAKE_CXXFLAGS += -fopenmp
LIBS += -fopenmp
QT += opengl

INCLUDEPATH += 3D/ \
               Interface/ \
               Mesh/ \
               Misc/ \
               Topology/

HEADERS += \
    3D/Sculpt.h \
    3D/Picking.h \
    3D/Geometry.h \
    3D/Camera.h \
    Interface/Window.h \
    Interface/Widget3D.h \
    Mesh/Vertex.h \
    Mesh/Triangle.h \
    Mesh/Octree.h \
    Mesh/Mesh.h \
    Mesh/Aabb.h \
    Misc/Tools.h \
    Misc/Files.h \
    Mesh/State.h \
    Topology/Topology.h \
    Mesh/Grid.h

SOURCES += \
    3D/Sculpt.cpp \
    3D/Picking.cpp \
    3D/Geometry.cpp \
    3D/Camera.cpp \
    Interface/Window.cpp \
    Mesh/Vertex.cpp \
    Mesh/Triangle.cpp \
    Mesh/Octree.cpp \
    Mesh/Mesh.cpp \
    Mesh/Aabb.cpp \
    Misc/Tools.cpp \
    Misc/Files.cpp \
    main.cpp \
    Interface/Widget3D.cpp \
    Mesh/State.cpp \
    Topology/TopologySubdivision.cpp \
    Topology/TopologyDecimation.cpp \
    Topology/TopologyAdaptive.cpp \
    Mesh/Grid.cpp

OTHER_FILES += \
    Shaders/wireframeFragment.glsl \
    Shaders/wireframeGeometry.glsl \
    Shaders/wireframeVertex.glsl \
    Shaders/transparencyVertex.glsl \
    Shaders/transparencyFragment.glsl \
    Shaders/reflectionVertex.glsl \
    Shaders/reflectionFragment.glsl \
    Shaders/phongVertex.glsl \
    Shaders/phongFragment.glsl
