//That's not exactly the phong shading actually... It only works if the mesh is centered at the origin
varying vec3 vNormal;
varying vec3 vVertex;

uniform vec4 color;

uniform vec3 centerPicking;
uniform float radiusSquared;

const vec4 colorBackface = vec4(0.811, 0.709, 0.231, 1.0);

void main()
{
    vec3 normal;
    vec4 colorBis;
    if(gl_FrontFacing)
    {
        normal=vNormal;
        colorBis=color;
    }
    else
    {
        normal=-vNormal;
        colorBis=colorBackface;
    }
    float shininess=50.0;
    vec3 vecL=normalize(-vVertex);
    float dotLN=dot(normal, vecL);
    vec4 ambiant= colorBis*0.5;
    vec4 diffuse= colorBis*0.5;
    vec4 specular= colorBis*0.8;

    diffuse=diffuse*max(0.0, dotLN);
    vec3 vecR=normalize(2.0*dotLN*normal-vecL);
    float dotRV=dot(vecR, vecL);
    specular=specular*max(0.0, pow(dotRV, shininess));

    gl_FragColor = ambiant + diffuse + specular;

    vec3 vecDistance = vVertex-centerPicking;
    float dotSquared = dot(vecDistance,vecDistance);
    if(dotSquared<radiusSquared*1.06 && dotSquared>radiusSquared*0.94)
        gl_FragColor = gl_FragColor*0.5;
    else if(dotSquared<radiusSquared)
        gl_FragColor = gl_FragColor*1.1;
}
